[jhalfs] 01/03: Dependency check: test that porg exists

"Git Owner" ([email protected] via alfs-discuss Mailing List) <[email protected]> Sat, 29 Nov 2025 14:06:20 +0000
Newsgroups gmane.linux.lfs.automated
Message-ID <[email protected]>
This is an automated email from the git hooks/post-receive script.

git pushed a commit to branch trunk
in repository jhalfs.

commit 45d4cf636992c8e611e5cf98fcb169871205559b
Author: Pierre Labastie <[email protected]>
AuthorDate: Sat Nov 29 14:59:00 2025 +0100

    Dependency check: test that porg exists
    
    porg is required for the dependency checker
---
 BLFS/gen_pkg_book.sh | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/BLFS/gen_pkg_book.sh b/BLFS/gen_pkg_book.sh
index 6d47325..689de5f 100755
--- a/BLFS/gen_pkg_book.sh
+++ b/BLFS/gen_pkg_book.sh
@@ -307,6 +307,11 @@ if [ -n "$DEP_CHECK" ]; then
       printf "         shoud be selected. Not generating check code.\n"
       exit
    fi
+   if ! porg -h >/dev/null 2>&1; then
+      printf "\nWARNING: program porg not found.\n"
+      printf "         Not generating check code.\n"
+      exit
+   fi
 
    LIST_LFS="$(xsltproc $ListLFS $LFS_FULL)"
    LIST_NEEDED="$(echo $FULL_LIST)"

-- 
To stop receiving notification emails like this one, please contact
the administrator of this repository.

-- 
http://lists.linuxfromscratch.org/sympa/info/alfs-discuss
Unsubscribe: See the above information page